const ICONS = {
  error: "warning-round",
  warning: "warning-triangle",
  info: "info-round",
  success: "info-round",
  upgrade: "sparkles"
};
const getState = ({
  error,
  warning,
  info,
  success,
  upgrade
}) => {
  if (error) return "error";
  if (warning) return "warning";
  if (info) return "info";
  if (success) return "success";
  if (upgrade) return "upgrade";
  return "error";
};
const parseProps = ({
  error,
  warning,
  info,
  success,
  upgrade,
  role = error ? "alert" : "status",
  iconName
}) => {
  let message = "";
  if (error && (typeof error === "string" || error instanceof Error)) {
    message = error;
  } else {
    message = warning ?? info ?? success ?? upgrade ?? "";
  }
  const state = getState({ error, warning, info, success, upgrade });
  return {
    message,
    role,
    state,
    icon: iconName ?? ICONS[state]
  };
};
export {
  parseProps
};
//# sourceMappingURL=helpers.js.map
